Bug 132907 - [patch] rpmbuild(8) vs. ENV(PERL_MM_OPT)
[patch] rpmbuild(8) vs. ENV(PERL_MM_OPT)
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-09-19 03:14 EDT by Jan Kratochvil
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-26 20:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to delete ENV(PERL_MM_OPT) for %build and %install (339 bytes, patch)
2004-09-19 03:16 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2004-09-19 03:14:48 EDT
Description of problem:
rpmbuild(8) gets confused by ENV(PERL_MM_OPT).

Version-Release number of selected component (if applicable):

How reproducible:
PERL_MM_OPT="PREFIX=/root" rpmbuild --rebuild
Actual results:
+ find /var/tmp/ImageMagick-
-type d -name Image
find: /var/tmp/ImageMagick-
No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.7795 (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.7795 (%install)

Expected results:
successfully built package

Additional info:
Comment 1 Jan Kratochvil 2004-09-19 03:16:31 EDT
Created attachment 103995 [details]
Patch to delete ENV(PERL_MM_OPT) for %build and %install
Comment 2 Jeff Johnson 2004-09-19 07:41:12 EDT
PERL_MM_OPT needs to be dealt with in ImageMagick.spec, not
in default rpmbuild configuration.

One could also fix in build system setup by controlling for
what is in the environment when rpmbuild is invoked.
Comment 3 Jan Kratochvil 2004-09-19 13:24:58 EDT
> PERL_MM_OPT needs to be dealt with in ImageMagick.spec

PERL_MM_OPT could be handled by all the packages building any Perl
modules. As the handling would be always the same. Therefore I think
it is more systematic approach to normalize Perl build environment by
rpmbuild(8) itself.

Otherwise there is a need to post 100+ bugreports or so.

ENV(PERL_MM_OPT) is the same category as ENV(CLASSPATH) or umask(1)
already handled by %___build_pre.
Comment 4 Matthew Miller 2005-04-26 12:35:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Jan Kratochvil 2005-06-04 03:55:41 EDT
The bug is still valid for: rpm-4.4.1-18.1
To prove it is not ImageMagick related you can try this command:

PERL_MM_OPT='PREFIX=/home/lace' rpmbuild --rebuild

Attached patch fixes it.
Comment 6 Jeff Johnson 2005-10-26 20:18:34 EDT
Added in rpm-4.4.3-0.26 when built.

Note You need to log in before you can comment on or make changes to this bug.